# Created by pyp2rpm-3.3.5
%global pypi_name altgraph

Name:           python-%{pypi_name}
Version:        0.17.4
Release:        %mkrel 4
Summary:        Python graph (network) package
Group:          Development/Python
License:        MIT
URL:            https://altgraph.readthedocs.io
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3dist(pytest)

%description
A graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
graphviz output

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
graphviz output

%package -n python-%{pypi_name}-doc
Summary:        altgraph documentation
%description -n python-%{pypi_name}-doc
Documentation for altgraph

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE doc/license.rst
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE doc/license.rst



%changelog
* Sun Mar 02 2025 wally <wally> 0.17.4-4.mga10
+ Revision: 2156446
- rebuild for python3.13

* Mon Jan 27 2025 papoteur <papoteur> 0.17.4-3.mga10
+ Revision: 2142803
- fix tests
- fix doc build

* Fri Dec 08 2023 papoteur <papoteur> 0.17.4-2.mga10
+ Revision: 2015782
- rebuild for python 3.12

* Fri Oct 13 2023 papoteur <papoteur> 0.17.4-1.mga10
+ Revision: 1995768
- new 0.17.4

* Sat Feb 04 2023 papoteur <papoteur> 0.17.3-1.mga9
+ Revision: 1938129
- imported package python-altgraph

